Re: [qubes-users] What is the latest version of Qubes (on 23 February 2021)

2021-02-23 Thread load...@gmail.com
вторник, 23 февраля 2021 г. в 21:56:03 UTC+3, David Hobach: 

> On 2/23/21 12:58 PM, load...@gmail.com wrote: 
>
> The packages you mentioned are all pretty dated. 
>
> Actually I had a similar issue a few months back when I noticed that Qubes 
> OS wasn't updating anymore. 
>
> I was using a non-standard update VM though. Going back to the standard 
> update VM (sys-fw) fixed it for me. 
>
> I recall that there was a similar bug on github for updating over VPN or 
> sys-whonix at the time, but I cannot find it anymore. 
>
> You might also want to try a different template for the update VM (e.g. 
> Fedora, if you're running Debian). 
>
> Thank you for you answer. 
Actually I did not change default Dom0 UpdateVM in the past.

But anyway I tried 3 different ways with '*sys-net*', '*sys-firewall*' and '
*sys-whonix*':


























*[user@dom0 ~]$ sudo qubes-dom0-updateUsing sys-whonix as UpdateVM to 
download updates for Dom0; this may take some time...No new updates 
availableQubes OS Repository for Dom0 25 MB/s |  26 
kB 00:00[user@dom0 ~]$ sudo qubes-dom0-updateUsing sys-net as 
UpdateVM to download updates for Dom0; this may take some time...Fedora 25 
- x86_64 - Updates7.7 MB/s |  24 MB 00:03Fedora 
25 - x86_64  4.6 MB/s |  50 MB 00:11
determining the fastest mirror (15 hosts).. done.--  B/s |   0  B --:-- 
ETAQubes Templates repository  2.1 kB/s | 5.6 kB 
00:02Last metadata expiration check: 0:00:01 ago on Tue Feb 23 22:22:50 
2021.Dependencies resolved.Nothing to do.Complete!No packages 
downloadedQubes OS Repository for Dom0 25 MB/s |  26 
kB 00:00[user@dom0 ~]$ sudo qubes-dom0-updateUsing sys-firewall as 
UpdateVM to download updates for Dom0; this may take some time...Last 
metadata expiration check: 3:05:31 ago on Tue Feb 23 19:17:49 
2021.Dependencies resolved.Nothing to do.Complete!No packages 
downloadedQubes OS Repository for Dom0 25 MB/s |  26 
kB 00:00*

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/b13070c2-fc55-4f59-b88e-5e9bdba704ebn%40googlegroups.com.


Re: [qubes-users] What is the latest version of Qubes (on 23 February 2021)

2021-02-23 Thread David Hobach

On 2/23/21 12:58 PM, load...@gmail.com wrote:

*So could anybody tell me is this the latest version of Qubes OS or
something happened with my update process?*


The packages you mentioned are all pretty dated.

Actually I had a similar issue a few months back when I noticed that Qubes OS 
wasn't updating anymore.

I was using a non-standard update VM though. Going back to the standard update 
VM (sys-fw) fixed it for me.

I recall that there was a similar bug on github for updating over VPN or 
sys-whonix at the time, but I cannot find it anymore.

You might also want to try a different template for the update VM (e.g. Fedora, 
if you're running Debian).

--
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/3cf0ac68-2882-e6a7-81c8-29be3cefd3d8%40hackingthe.net.


smime.p7s
Description: S/MIME Cryptographic Signature


Re: [qubes-users] What is the latest version of Qubes (on 23 February 2021)

2021-02-23 Thread load...@gmail.com
вторник, 23 февраля 2021 г. в 18:45:47 UTC+3, haa...@web.de: 

> On 2/23/21 12:58 PM, load...@gmail.com wrote: 
>
> your "initial" qubes release is marked in the file /etc/qubes-release 
>
> I opened the file /etc/qubes-release and saw this:


*Qubes release 4.0 (R4.0)* 
 

> did you run as donoban suggested the update command 
> "sudo qubes-dom0-update --refresh" 
> inside a dom0-terminal ? 
>
Yes, I tried but result has been the same.

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/d940833c-cefc-4ae3-b77a-b662f5added5n%40googlegroups.com.


Re: [qubes-users] What is the latest version of Qubes (on 23 February 2021)

2021-02-23 Thread haaber

On 2/23/21 12:58 PM, load...@gmail.com wrote:

I know about *'Qubes Release 4.0.3'* and *'**Qubes Release 4.0.4-rc2'*,
but I don't understand what is the version I have.


your "initial" qubes  release is marked in the file /etc/qubes-release


/kernel-qubes-vm.x86_64 1000:4.14.74-1.pvops.qubes
kernel-qubes-vm.x86_64  1000:4.19.15-1.pvops.qubes


these are outdated kernels. The stable kernels should be 5.x now, and if
they are 4.x it is certainly 4.19.(>150). I infer from this that
something is weird. Distinguish xen-kernel (package "kernel.x86_64") and
AppVM kernels containing "qubes-vm" it their name. They are different.


*So could anybody tell me is this the latest version of Qubes OS or
something happened with my update process?*



did you run as donoban suggested the update command
"sudo qubes-dom0-update --refresh"
inside a dom0-terminal ?

--
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/ab988faa-926c-fadc-2908-ae5276b1ab7c%40web.de.


Re: [qubes-users] What is the latest version of Qubes (on 23 February 2021)

2021-02-23 Thread load...@gmail.com
вторник, 23 февраля 2021 г. в 15:48:59 UTC+3, donoban: 

> On 2/23/21 12:58 PM, load...@gmail.com wrote: 
>
> I am not sure because I have testing and unstable repositories enabled 
> but according to https://yum.qubes-os.org/r4.0/current/dom0/fc25/rpm/ I 
> would say that you have some packages outdated. 
>
> I don't think it helps but you could try: 
> "sudo qubes-dom0-update --refresh" 
>

Thank you for your answer.

Unfortunately this command didn't help. The result is the same :(

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/1540f593-eb81-40e6-a21d-99ea75a89df1n%40googlegroups.com.


Re: [qubes-users] What is the latest version of Qubes (on 23 February 2021)

2021-02-23 Thread donoban
On 2/23/21 12:58 PM, load...@gmail.com wrote:
> 
> Hi everyone,
> 
> I know about *'Qubes Release 4.0.3'* and *'**Qubes Release 4.0.4-rc2'*,
> but I don't understand what is the version I have.
> 
> I am getting this result already 8 month and nothing changes when I am
> trying to update Dom0:
> /$ sudo qubes-dom0-update
> Using sys-firewall as UpdateVM to download updates for Dom0; this may
> take some time...
> Fedora 25 - x86_64 - Updates    5.8 MB/s |  24 MB
> 00:04   
> Fedora 25 - x86_64  8.3 MB/s |  50 MB
> 00:06   
> determining the fastest mirror (15 hosts).. done.--  B/s |   0  B
> --:-- ETA
> Qubes Templates repository  3.5 kB/s | 5.6 kB
> 00:01   
> Last metadata expiration check: 0:00:01 ago on Tue Feb 23 14:49:03 2021.
> Dependencies resolved.
> Nothing to do.
> Complete!
> No packages downloaded
> Qubes OS Repository for Dom0 25 MB/s |  26 kB 00:00
> 
> 
> /_In Qubes Manager >> About >> Qubes OS
> I see 'Qubes release 4.0 (R4.0)_
> 
> 
> *When I am clicking on Version Information I see this:*
> 
> /xen_version    : 4.8.5
> Linux 4.19.15-1.pvops.qubes.x86_64
>  
> Installed Packages:  /
>  
> /kernel-qubes-vm.x86_64       
> 1000:4.14.74-1.pvops.qubes
> kernel-qubes-vm.x86_64       
> 1000:4.19.15-1.pvops.qubes
> python2-qubesadmin.noarch     4.0.25-0.1.fc25
> python2-qubesimgconverter.x86_64      4.0.23-1.fc25
> python3-qubesadmin.noarch     4.0.25-0.1.fc25
> 
> 
> *So could anybody tell me is this the latest version of Qubes OS or
> something happened with my update process?*

I am not sure because I have testing and unstable repositories enabled
but according to https://yum.qubes-os.org/r4.0/current/dom0/fc25/rpm/ I
would say that you have some packages outdated.

I don't think it helps but you could try:
"sudo qubes-dom0-update --refresh"

-- 
You received this message because you are subscribed to the Google Groups 
"qubes-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to qubes-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/qubes-users/508f183e-42eb-fa37-4ddc-fb0a3229a162%40riseup.net.


OpenPGP_signature
Description: OpenPGP digital signature